#
# spec file for package gccmakedep
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gccmakedep
Version:        1.0.3
Release:        lp151.2.1
Summary:        Utility to list the resource database of an X application
License:        MIT
Group:          Development/Tools/Building
Url:            http://xorg.freedesktop.org/
#Source URL:    http://xorg.freedesktop.org/releases/individual/util/
Source0:        %{name}-%{version}.tar.bz2
# This was part of the xorg-x11-util-devel package up to version 7.6
Conflicts:      xorg-x11-util-devel <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The gccmakedep program calls 'gcc -M' to output makefile rules
describing the dependencies of each sourcefile, so that make knows
which object files must be recompiled when a dependency has changed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/gccmakedep
%{_mandir}/man1/gccmakedep.1%{?ext_man}

%changelog
* Thu May 22 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.3:
  This release fixes gccmakedep with GNU cpp versions newer than
  4.7, by no longer using cpp to generate the gccmakedep script.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split gccmakedep from xorg-x11-util-devel.
  Initial version: 1.0.2.
